Subject: Re: bug#13363: Documentation bug - nXML mode: C-return is not defined as stated

From: Dmitry Gutov <[email-masked]>
Date: Sun, 06 Jan 2013 11:27:20 +0400

Jambunathan K <[email-masked]> writes:

> John Brown <[email-masked]> writes:
>
>> Hello Glenn,
>>
>>
>> Glenn Morris wrote:
>>> 
>>> John Brown wrote:
>>> 
>>>>  The nXML mode documentation distributed with Emacs (24.2.1)
>>>>  states:
>>>> 
>>>>  <C-return> performs completion on the symbol preceding point.
>>> 
>>> That was fixed in the sources some time ago.
>>> 
>>>>  The GNU Emacs manual at
>>>>  http://www.gnu.org/software/emacs/manual/html_mono/emacs.html:
>>>>  also states:
>>>> 
>>>>  "The major mode for editing XML documents is called nXML mode.
>>>>  This is a powerful major mode that can recognize many existing
>>>>  XML schema and use them to provide completion of XML elements
>>>>  via C-<RET> or M-<TAB> ..."
>>> 
>>> Thanks, I fixed that in the source too. (The web-page probably won't be
>>> regenerated till at least when 24.3 is released though.)
>>> 
>>
>> Looking at nxml-mode.el, I see that the correct keystroke is M-TAB.
>> Since this combination is used to switch from one main application
>> window to the next by the MS Windows and Ubuntu Linux GUIs (and
>> no doubt other GUIs because they tend to copy one another),it is
>> likely to be a problem for many users.
>>
>> I recommend that the documentation suggest ways to work around
>> this.
>
> I use C-M-i.

Me too.

And ESC TAB is another synonym one can use.

>     ,---- NEWS
>     | ** nXML mode no longer binds C-RET to `nxml-complete'.
>     | Completion is now performed via `completion-at-point', bound to C-M-i
>     | or M-TAB.  If `nxml-bind-meta-tab-to-complete-flag' is non-nil (the
>     | default), this performs tag completion.
>     `----